Bug 1349229 (CVE-2015-8934) - CVE-2015-8934 libarchive: out of bounds heap read in RAR parser
Summary: CVE-2015-8934 libarchive: out of bounds heap read in RAR parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8934
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1352776 1353065 1353066
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-23 02:44 UTC by Doran Moppert
Modified: 2019-09-29 13:51 UTC (History)
5 users (show)

Fixed In Version: libarchive 3.2.1
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted RAR file could cause the application to read memory beyond the end of the decompression buffer.
Clone Of:
Environment:
Last Closed: 2016-10-18 05:00:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC

Description Doran Moppert 2016-06-23 02:44:27 UTC
An out of bounds read was found in libarchive's RAR parser.  A specially
crafted file could cause the application to read heap memory beyond the end
of the decompression buffer.

Upstream bug:
    https://github.com/libarchive/libarchive/issues/521

Upstream fix:
    https://github.com/libarchive/libarchive/commit/603454e

Fix included in upstream release v3.2.1.

The vulnerable code was not included in libarchive-2.8.

Comment 2 Doran Moppert 2016-07-05 04:38:34 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]

Comment 5 errata-xmlrpc 2016-09-12 20:15:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.